> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balances

> Get merchant and customer balances.



## OpenAPI

````yaml get /user/balances
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /user/balances:
    get:
      tags:
        - User
      summary: Get Balances
      description: Get merchant and customer balances.
      operationId: get-user-balances
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    customer:
                      BNB:
                        availableBalance: 0
                        pendingDebit: 0
                      BTC:
                        availableBalance: 0
                        pendingDebit: 0
                      ETH:
                        availableBalance: 19.994
                        pendingDebit: 0
                      GHS:
                        availableBalance: 0
                        pendingDebit: 0
                      KES:
                        availableBalance: 0
                        pendingDebit: 0
                      NGN:
                        availableBalance: 0
                        pendingDebit: 0
                      USD:
                        availableBalance: 34
                        pendingDebit: 0
                    merchant:
                      BNB:
                        availableBalance: 0
                        pendingDebit: 0
                      BTC:
                        availableBalance: 0
                        pendingDebit: 0
                      ETH:
                        availableBalance: 10
                        pendingDebit: 0
                      GHS:
                        availableBalance: 0
                        pendingDebit: 0
                      KES:
                        availableBalance: 0
                        pendingDebit: 0
                      NGN:
                        availableBalance: 0
                        pendingDebit: 0
                      USD:
                        availableBalance: 10
                        pendingDebit: 0
                  message: success
                properties:
                  data:
                    properties:
                      customer:
                        properties:
                          BNB:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          BTC:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          ETH:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          GHS:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          KES:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          NGN:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          USD:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                        type: object
                      merchant:
                        properties:
                          BNB:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          BTC:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          ETH:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          GHS:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          KES:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          NGN:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                          USD:
                            properties:
                              availableBalance:
                                type: number
                              pendingDebit:
                                type: number
                            type: object
                        type: object
                    type: object
                  message:
                    type: string
                type: object
          description: get user balances ok
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````